AnsweredAssumed Answered

web-tier install fails

Question asked by Bryan Andersen on Feb 27, 2017
Latest reply on Feb 28, 2017 by Bryan Andersen

Looking for assistance to overcome this web-tier installation error. Appears to be related to the Java versions however can't find anything on RSA's site to allow us to update Java independently.

 

Moving from 8.1.1.15 to 8.2

 

Error details below:

Starting process Setup (1/2)
0 2017-02-27 13:48:11,328 INFO: Arguments: [WebtierBootstrapper.setupFilesAsRoot]
1406 2017-02-27 13:48:12,734 INFO: Script source dir: /opt/rsa/am/wt/webtierBootstrapper/8.2.0.0.0/config/src/scripts
1407 2017-02-27 13:48:12,735 INFO: Patch Script source dir: null
1540 2017-02-27 13:48:12,868 INFO: Reading configuration from Config.groovy
2463 2017-02-27 13:48:13,791 INFO: Running task WebtierBootstrapper.setupFilesAsRoot
Exception in thread "Main Thread" java.lang.UnsupportedClassVersionError: com/rsa/ims/util/packaging/SecurePackageHelper : unsupported classversion 51.0
at com.rsa.plugins.install.GroovyInstallEngine.propertyMissing(GroovyInstallEngine.groovy:186)
at com.rsa.plugins.install.GroovyInstallEngine.getProperty(GroovyInstallEngine.groovy)
at com.rsa.plugins.install.GroovyInstallEngine.invokeScript(GroovyInstallEngine.groovy:68)
at com.rsa.plugins.install.GroovyInstallEngine$_runTask_closure2.doCall(GroovyInstallEngine.groovy:57)
at com.rsa.plugins.install.GroovyInstallEngine.runTask(GroovyInstallEngine.groovy:56)
at com.rsa.plugins.install.GroovyInstallEngine$_runTasks_closure3.doCall(GroovyInstallEngine.groovy:106)
at com.rsa.plugins.install.GroovyInstallEngine.runTasks(GroovyInstallEngine.groovy:105)
at com.rsa.plugins.install.GroovyInstallEngine$runTasks.call(Unknown Source)
at com.rsa.plugins.install.CommandLineInstallEngine.main(CommandLineInstallEngine.groovy:40)
Configuration step -DtargetUser=rsawebadmin [FAILED]

**********************************************************************
*** Finish


Installation has failed!

 

 Thanks,

Bryan

Outcomes